#ifndef AVIFILE_OSSAUDIORENDERER_H
#define AVIFILE_OSSAUDIORENDERER_H

#include "IAudioRenderer.h"

class OssAudioRenderer: public IAudioRenderer
{
public:
    OssAudioRenderer(IAviReadStream* stream, WAVEFORMATEX& Owf);
    ~OssAudioRenderer();
    double GetBufferTime() const;//for how long can we play without doAudioExtract()'s?
				//restart thread if it waits
protected:
    virtual void reset();
    static void* doAudioOut(void* arg);

    int m_iAudioFd;		// /dev/dsp or ESD socket ( syntactically the same behaviour )
    unsigned m_iSndLimit;	// DMA buffer size
    int m_iDebugStatus; 	// used for debugging console output
    pthread_t m_AudioThread;	// Writes data to audio_fd
};

#endif
